SADT.DE(1)

BEZEICHNUNG
sadt - einfaches DEP-8-Test-Ausführungsprogramm

ÜBERSICHT
sadt [Optionen] [Testname …]

BESCHREIBUNG
sadt ist eine einfache Implementierung eines DEP-8-Test-Ausführungsprogramms (»automatische, installationsartige Paketprüfung«).

Sie sind verantwortlich dafür, dass die Abhängigkeiten der Tests erfüllt sind. sadt wird nicht versuchen, die fehlenden Pakete zu installieren. Falls Abhängigkeiten eines Tests nicht durch derzeit installierte Pakete erfüllt werden können, wird der Test übersprungen.

sadt wird das Paket nicht einmal dann bauen, wenn ein Test die Restriktion build-needed deklariert. Stattdessen wird ein derartiger Test übersprungen. Sie können jedoch das Paket manuell bauen und sadt dann mitteilen, dass es davon ausgehen kann, dass das Paket bereits mittels -b/--built-source-tree gebaut wurde.

sadt implementiert keine Virtualisierungsmaßnahmen, daher überspringt es Tests, die die Restriktion breaks-testbed deklarieren.

OPTIONEN

-v, --verbose
    erzeugt eine detailliertere Ausgabe.

-b, --build-source-tree
    Es wird angenommen, dass der Quellverzeichnisbaum bereits gebaut wurde. Dies entspricht --ignore-restriction=build-needed.

--run-autodep8, --no-run-autodep8
    Control whether to run autodep8(1) to determine the tests to run. By default, autodep8 will be run.

--ignore-restriction=Restriktion
    überspringt keine Tests, die die Restriktion deklarieren.

-h, --help
    zeigt eine Hilfenachricht und wird beendet.

KONFORM ZU
README.package-tests, bei Autopkgtest 2.7.2 mitgeliefert

SIEHE AUCH
adt-run(1)